Skip to content

HTTPS clone URL

Subversion checkout URL

You can clone with
or
.
Download ZIP
Browse files

rename to git_tracker

as git-tracker implies an extension to the Git Gem, and that the tracker
code would live in Git::Tracker namespace. The binary is still
git-tracker, which is consistent w/Git commands.
  • Loading branch information...
commit 580a939b4088539a132640dfe0729bca6b7e9714 1 parent 6775252
@stevenharman stevenharman authored
View
2  Gemfile
@@ -1,4 +1,4 @@
source 'https://rubygems.org'
-# Specify your gem's dependencies in git-tracker.gemspec
+# Specify your gem's dependencies in git_tracker.gemspec
gemspec
View
6 README.md
@@ -1,4 +1,4 @@
-# Git::Tracker
+# GitTracker
TODO: Write a gem description
@@ -6,7 +6,7 @@ TODO: Write a gem description
Add this line to your application's Gemfile:
- gem 'git-tracker'
+ gem 'git_tracker'
And then execute:
@@ -14,7 +14,7 @@ And then execute:
Or install it yourself as:
- $ gem install git-tracker
+ $ gem install git_tracker
## Usage
View
2  bin/git-tracker
@@ -1,3 +1,3 @@
#!/usr/bin/env ruby
-require 'git-tracker'
+require 'git_tracker'
View
8 git-tracker.gemspec → git_tracker.gemspec
@@ -1,12 +1,12 @@
# -*- encoding: utf-8 -*-
-require File.expand_path('../lib/git-tracker/version', __FILE__)
+require File.expand_path('../lib/git_tracker/version', __FILE__)
Gem::Specification.new do |gem|
- gem.name = "git-tracker"
- gem.version = Git::Tracker::VERSION
+ gem.name = "git_tracker"
+ gem.version = GitTracker::VERSION
gem.authors = ["Steven Harman"]
gem.email = ["steveharman@gmail.com"]
- gem.homepage = "https://github.com/highgroove/git-tracker"
+ gem.homepage = "https://github.com/highgroove/git_tracker"
gem.summary = %q{Teaching Git about Pivotal Tracker.}
gem.description = <<-EOF
Some simple trick that make working with Pivotal Tracker even
View
7 lib/git-tracker.rb
@@ -1,7 +0,0 @@
-require "git-tracker/version"
-
-module Git
- module Tracker
- # Your code goes here...
- end
-end
View
5 lib/git-tracker/version.rb
@@ -1,5 +0,0 @@
-module Git
- module Tracker
- VERSION = "0.0.1"
- end
-end
View
4 lib/git_tracker.rb
@@ -0,0 +1,4 @@
+require "git_tracker/version"
+
+module GitTracker
+end
View
3  lib/git_tracker/version.rb
@@ -0,0 +1,3 @@
+module GitTracker
+ VERSION = "0.0.1"
+end
Please sign in to comment.
Something went wrong with that request. Please try again.